complexType "DividendPaymentDate"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (dividendDateReference?, paymentDateOffset?) | adjustableDate?
</...>

Content Model Elements (3):

  adjustableDate (defined in DividendPaymentDate complexType), dividendDateReference, | paymentDateOffset

All Direct / Indirect Based Elements (2):

  dividendFxTriggerDate, dividendPaymentDate

Known Usage Locations

- As direct type of elements (2):
  dividendFxTriggerDate, dividendPaymentDate

Annotation
A type describing the date on which the dividend will be paid/received. This type is also used to specify the date on which the FX rate will be determined, when applicable.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="DividendPaymentDate"> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="dividendDateReference" type="DividendDateReferenceEnum"/> <xsd:element minOccurs="0" name="paymentDateOffset" type="Offset"/> </xsd:sequence> <xsd:element minOccurs="0" name="adjustableDate" type="AdjustableDate"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
adjustableDate

  Type: | AdjustableDate, complex content

  A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustableDate" type="AdjustableDate"/>

dividendDateReference

  Type: | DividendDateReferenceEnum, simple content

  Specification of the dividend date using an enumeration, with values such as the pay date, the ex date or the record date.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ExDate" | - | Date on which a holder of the security is entitled to the dividend. See: http://www.FpML.org
  "DividendPaymentDate" | - | Date on which the dividend will be paid by the issuer. See: http://www.FpML.org
  "DividendValuationDate" | - | In respect of each Dividend Period, number of days offset from the relevant Dividend Valuation Date. See: http://www.FpML.org
  "RecordDate" | - | Date on which the dividend will be recorded in the books of the paying agent. See: http://www.FpML.org
  "TerminationDate" | - | Termination date of the swap. See: http://www.FpML.org
  "EquityPaymentDate" | - | Equity payment date of the swap. See: http://www.FpML.org
  "FollowingPaymentDate" | - | The next payment date of the swap. See: http://www.FpML.org
  "AdHocDate" | - | The dividend date will be specified ad hoc by the parties, typically on the dividend ex-date See: http://www.FpML.org
  "CumulativeEquityPaid" | - | Total of paid dividends, paid on next following Cash Settlement Payment Date, which is immediately following the Dividend Period during which the dividend is paid by the Issuer to the holders of record of a Share. See: http://www.FpML.org
  "CumulativeLiborPaid" | - | Total of paid dividends, paid on next following Payment Date, which is immediately following the Dividend Period during which the dividend is paid by the Issuer to the holders of record of a Share. See: http://www.FpML.org
  "CumulativeEquityExDiv" | - | Total of dividends which go ex, paid on next following Cash Settlement Payment Date, which is immediately following the Dividend Period during which the Shares commence trading ex-dividend on the Exchange See: http://www.FpML.org
  "CumulativeLiborExDiv" | - | Total of dividends which go ex, paid on next following Payment Date, which is immediately following the Dividend Period during which the Shares commence trading ex-dividend on the Exchange, or where the date on which the Shares commence trading ex-dividend is a Payment Date, such Payment Date. See: http://www.FpML.org
  "SharePayment" | - | If "Dividend Payment Date(s)" is specified in the Transaction Supplement as "Share Payment", then the Dividend Payment Date in respect of a Dividend Amount shall fall on a date on or before the date that is two (or any other number that is specified in the Transaction Supplement) Currency Business Days following the day on which the Issuer of the Shares pays the relevant dividend to holders of record of the Shares See: http://www.FpML.org
  "CashSettlementPaymentDate" | - | If "Dividend Payment Date(s)" is specified in the Transaction Supplement as "Cash Settlement Payment Date", then the Dividend Payment Date in respect of a Dividend Amount shall be the Cash Settlement Payment Date relating to the end of the Dividend Period during which the Shares commenced trading "ex" the relevant dividend on the Exchange See: http://www.FpML.org
  "FloatingAmountPaymentDate" | - | If "Dividend Payment Date(s)" is specified in the Transaction Supplement as "Floating Amount Payment Date", then the Dividend Payment Date in respect of a Dividend Amount shall be the first Payment Date falling at least one Settlement Cycle after the date that the Shares have commenced trading "ex" the relevant dividend on the Exchange. See: http://www.FpML.org
  "CashSettlePaymentDateExDiv" | - | If "Dividend Payment Date(s)" is specified in the Transaction Supplement as "Cash Settlement Payment Date – Ex Dividend", then the Dividend Payment Date in respect of a Dividend Amount shall be the Cash Settlement Payment Date relating to the end of the Dividend Period during which the Shares commenced trading “ex” the relevant dividend on the Exchange. See: http://www.FpML.org
  "CashSettlePaymentDateIssuerPayment" | - | If "Dividend Payment Date(s)" is specified in the Transaction Supplement as "Cash Settlement Payment Date – Issuer Payment", then the Dividend Payment Date in respect of a Dividend Amount shall be the Cash Settlement Payment Date relating to the end of the Dividend Period during which the issuer pays the relevant dividend to a holder of record provided that in the case where the Equity Amount Payer is the party specified to be the sole Hedging Party and the Hedging Party has not received the Dividend Amount by such date, then the date falling a number of Currency Business Days as specified in the Cash Settlement Payment Date after actual receipt by the Hedging Party of the Received Ex Amount or Paid Ex Amount (as applicable). See: http://www.FpML.org
  "ExDividendPaymentDate" | - | If "Dividend Payment Date(s)" is specified in the Transaction Supplement as "Ex-dividend Payment Date", then the Dividend Payment Date in respect of a Dividend Amount shall be the number of Currency Business Days as provided in the Transaction Supplement following the day on which the Shares commence trading ‘ex’ on the Exchange. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendDateReference" type="DividendDateReferenceEnum"/>

paymentDateOffset

  Type: | Offset, complex content

  Only to be used when SharePayment has been specified in the dividendDateReference element. The number of Currency Business Days following the day on which the Issuer of the Shares pays the relevant dividend to holders of record of the Shares.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDateOffset" type="Offset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.